{
  "header": "SDL_hints.h",
  "opaque_types": [],
  "typedefs": [],
  "function_pointers": [],
  "c_type_aliases": [
    {
      "name": "SDL_HintCallback"
    }
  ],
  "enums": [
    {
      "name": "SDL_HintPriority",
      "values": [
        {
          "name": "SDL_HINT_DEFAULT"
        },
        {
          "name": "SDL_HINT_NORMAL"
        },
        {
          "name": "SDL_HINT_OVERRIDE"
        }
      ]
    }
  ],
  "structs": [],
  "unions": [],
  "flags": [],
  "functions": [
    {
      "name": "SDL_SetHintWithPriority",
      "return_type": "bool",
      "parameters": [
        {
          "name": "name",
          "type": "const char *"
        },
        {
          "name": "value",
          "type": "const char *"
        },
        {
          "name": "priority",
          "type": "SDL_HintPriority"
        }
      ]
    },
    {
      "name": "SDL_SetHint",
      "return_type": "bool",
      "parameters": [
        {
          "name": "name",
          "type": "const char *"
        },
        {
          "name": "value",
          "type": "const char *"
        }
      ]
    },
    {
      "name": "SDL_ResetHint",
      "return_type": "bool",
      "parameters": [
        {
          "name": "name",
          "type": "const char *"
        }
      ]
    },
    {
      "name": "SDL_ResetHints",
      "return_type": "void",
      "parameters": []
    },
    {
      "name": "SDL_GetHint",
      "return_type": "const char *",
      "parameters": [
        {
          "name": "name",
          "type": "const char *"
        }
      ]
    },
    {
      "name": "SDL_GetHintBoolean",
      "return_type": "bool",
      "parameters": [
        {
          "name": "name",
          "type": "const char *"
        },
        {
          "name": "default_value",
          "type": "bool"
        }
      ]
    },
    {
      "name": "SDL_AddHintCallback",
      "return_type": "bool",
      "parameters": [
        {
          "name": "name",
          "type": "const char *"
        },
        {
          "name": "callback",
          "type": "SDL_HintCallback"
        },
        {
          "name": "userdata",
          "type": "void *"
        }
      ]
    },
    {
      "name": "SDL_RemoveHintCallback",
      "return_type": "void",
      "parameters": [
        {
          "name": "name",
          "type": "const char *"
        },
        {
          "name": "callback",
          "type": "SDL_HintCallback"
        },
        {
          "name": "userdata",
          "type": "void *"
        }
      ]
    }
  ]
}